Subject: [Ltru] Standard for Unicode NFC (Was: WG Last Call for draft-ietf-ltru-4646bis-17.txt

From: Stephane Bortzmeyer <[email-masked]>
Date: Tue, 16 Dec 2008 17:04:29 +0100

On Wed, Sep 24, 2008 at 08:05:51AM -0400,
 Stephane Bortzmeyer <[email-masked]> wrote 
 a message of 77 lines which said:

> * 3.1.1 says "Each field is terminated by the newline sequence CRLF.
> The text in each field MUST be in Unicode Normalization Form C
> (NFC)."  We could simplify the definition of the file format by just
> asking "The text must be in the form defined by [RFC 5198], section
> 2."  Otherwise, we would need to add normative references to Unicode
> documents and to RFC 3629.

Apparently, this editorial change was not incorporated (I just checked
-20). Was it lost in the tide of work or is there a disagreement?

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Phillips, Addison" <[email-masked]>
Date: Tue, 16 Dec 2008 08:39:53 -0800

I didn't see this comment previously.

I wouldn't oppose referencing RFC 5198, but I think I would have incorporated it with different wording because I think that mentioning form NFC explicitly makes clear what the requirement is.

I will track this item for any future draft-21, should it be necessary. Although your proposal would modify the references (thus, without qualification, it's a substantive change), I think that, practically speaking, it's an "editorial" change.

Addison

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Stephane Bortzmeyer
> Sent: Tuesday, December 16, 2008 8:04 AM
> To: [email-masked]
> Subject: [Ltru] Standard for Unicode NFC (Was: WG Last Call for
> draft-ietf-ltru-4646bis-17.txt
>

---

From: "Phillips, Addison" <[email-masked]>
Date: Tue, 16 Dec 2008 10:51:51 -0800

It seems that I overlooked three messages on my "todo" tracking list. Two of them were items pointed out by Stephane this morning. At least idnits caught the one.

Addison

Addison Phillips

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 16 Dec 2008 11:52:45 -0800

Hi -

As co-chair...

Editors: Please make the repair and submit the updated I-D ASAP.

All: If we submit paperwork to the IESG saying that there are known
open issues with an I-D we're recommending for consideration
for publication, they'll typically bounce it right back to us.  This might
cause some to consider whether deferring further comment until
IETF last call would make things go more quickly.

Randy

---

From: "Phillips, Addison" <[email-masked]>
Date: Tue, 16 Dec 2008 12:24:55 -0800

(editor hat OFF)

Alright... let me rephrase this:

I oppose making this change. We already have references to Unicode in place. Referencing RFC 5198 is a pointless digression. Moreover, the normalization form requirement in that RFC is merely a recommendation (SHOULD) whereas our document makes it a requirement (MUST). I think referencing Net-Unicode here is, at best, a pointless editorial change and I oppose it as a pointless dereferencing of the actual standard(s).

(editor hat ON)

No other pending edits exist that impact the text.

Addison

Addison Phillips

> Behalf Of Randy Presuhn
> Sent: Tuesday, December 16, 2008 11:53 AM
> To: [email-masked]
> Subject: Re: [Ltru] Standard for Unicode NFC
> 
> Hi -
> 
> As co-chair...
>

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 16 Dec 2008 12:55:12 -0800

Hi -

> From: "Phillips, Addison" <[email-masked]>
> To: "Randy Presuhn" <[email-masked]>; <[email-masked]>
> Sent: Tuesday, December 16, 2008 12:24 PM
> Subject: RE: [Ltru] Standard for Unicode NFC
... 
> I oppose making this change. We already have references
> to Unicode in place. Referencing RFC 5198 is a pointless
> digression. Moreover, the normalization form requirement
> in that RFC is merely a recommendation (SHOULD) whereas
> our document makes it a requirement (MUST). I think
> referencing Net-Unicode here is, at best, a pointless
> editorial change and I oppose it as a pointless
> dereferencing of the actual standard(s).
...

While, as a technical contributor I really don't care much about
this issue here, I also think the existing "MUST" is overkill.
But I don't want to re-open that.

As co-chair:

We do have a normative requirement for NFC spelled out in
in the text.  The context of section 3.1.1 in the draft
leads the reader to assume that NFC would be defined
in [Unicode], since that's the nearest preceding reference,
and the term is introduced with the word "Unicode".

If that document provides a specification of
normalization form C, we're done.  If that document does
not do so, then we need to add a reference here that does.

The question is whether "Unicode Standard Annex #15:
Unicode Normalization Forms" is or is not part of
[Unicode].  If it is, we're done.  If it isn't, we
need to add the reference.

As I see it, referencing RFC 5198 would only make sense
as an indirect reference to "Unicode Standard Annex #15:
Unicode Normalization Forms".  This working group has not
gone through the process of figuring how, for example,
RFC 5198 section 2's rules would fit in with the registry
format we define.  This is *not* the time for that 
exercise, and so I'd really prefer to exlude that option
from the discussion, in the interest of finishing this thing.

Randy

---

From: "Phillips, Addison" <[email-masked]>
Date: Tue, 16 Dec 2008 13:06:24 -0800

UAX#15 is a part of the Unicode Standard (that's what it means to be an Annex) and it's published in the Unicode book proper.

Addison

Addison Phillips

> Sent: Tuesday, December 16, 2008 12:55 PM
> To: [email-masked]

---

From: John Cowan <[email-masked]>
Date: Tue, 16 Dec 2008 16:08:52 -0500

> need to add the reference.

Every Unicode Standard Annex is part of Unicode.  See
http://www.unicode.org/reports/about-reports.html , which says:

A Unicode Standard Annex (UAX) forms an integral part of the Unicode
Standard, but is published online as a separate document. The Unicode
Standard may require conformance to normative content in a Unicode
Standard Annex, if so specified in the Conformance chapter of that version
of the Unicode Standard. The version number of a UAX document corresponds
to the version of the Unicode Standard of which it forms a part.

So conformance to Unicode includes conformance to UAX 15.

-- 
John Cowan        http://www.ccil.org/~cowan          [email-masked]
Please leave your values                Check your assumptions.  In fact,
   at the front desk.                      check your assumptions at the door.
     --sign in Paris hotel                   --Cordelia Vorkosigan
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 16 Dec 2008 13:11:26 -0800

Hi -

> Sent: Tuesday, December 16, 2008 1:06 PM
> UAX#15 is a part of the Unicode Standard (that's what it
> means to be an Annex) and it's published in the Unicode book proper.
...

That's good enough for me.  It was unclear, since it has been
referenced separately elsewhere.

Randy